svn commit: samba r18459 - in branches/SAMBA_4_0/source/script/tests: .

abartlet at samba.org abartlet at samba.org
Wed Sep 13 10:26:32 GMT 2006


Author: abartlet
Date: 2006-09-13 10:26:32 +0000 (Wed, 13 Sep 2006)
New Revision: 18459

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=18459

Log:
Set access to test LDAP server as system to anonymous, but also note
the correct authz-regexp for future use.

Fail to test if slapd fails and TEST_LDAP=yes


Modified:
   branches/SAMBA_4_0/source/script/tests/mktestsetup.sh
   branches/SAMBA_4_0/source/script/tests/selftest.sh
   branches/SAMBA_4_0/source/script/tests/test_functions.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/mktestsetup.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/mktestsetup.sh	2006-09-13 10:13:01 UTC (rev 18458)
+++ branches/SAMBA_4_0/source/script/tests/mktestsetup.sh	2006-09-13 10:26:32 UTC (rev 18459)
@@ -101,6 +101,8 @@
 	server max protocol = SMB2
 	notify:inotify = false
 
+system:anonymous = true
+
 [tmp]
 	path = $TMPDIR
 	read only = no
@@ -292,13 +294,15 @@
 sasl-realm $DNSNAME
 access to * by * write
 
+allow update_anon
+
 authz-regexp
           uid=([^,]*),cn=$DNSNAME,cn=digest-md5,cn=auth
-          ldap:///$BASEDN??sub?(samAccountName=$1)
+          ldap:///$BASEDN??sub?(samAccountName=\$1)
 
 authz-regexp
           uid=([^,]*),cn=([^,]*),cn=digest-md5,cn=auth
-          ldap:///$BASEDN??sub?(samAccountName=$1)
+          ldap:///$BASEDN??sub?(samAccountName=\$1)
 
 include $LDAPDIR/modules.conf
 

Modified: branches/SAMBA_4_0/source/script/tests/selftest.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/selftest.sh	2006-09-13 10:13:01 UTC (rev 18458)
+++ branches/SAMBA_4_0/source/script/tests/selftest.sh	2006-09-13 10:26:32 UTC (rev 18459)
@@ -63,7 +63,7 @@
 
 #Start slapd before smbd
 if [ x"$TEST_LDAP" = x"yes" ]; then
-    slapd_start
+    slapd_start || exit 1;
     echo -n "LDAP PROVISIONING..."
     $srcdir/bin/smbscript $srcdir/setup/provision $PROVISION_OPTIONS --ldap-backend=$LDAPI || {
 	echo "LDAP PROVISIONING failed: $srcdir/bin/smbscript $srcdir/setup/provision $PROVISION_OPTIONS --ldap-backend=$LDAPI"

Modified: branches/SAMBA_4_0/source/script/tests/test_functions.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_functions.sh	2006-09-13 10:13:01 UTC (rev 18458)
+++ branches/SAMBA_4_0/source/script/tests/test_functions.sh	2006-09-13 10:26:32 UTC (rev 18459)
@@ -69,10 +69,12 @@
     OLDPATH=$PATH
     PATH=/usr/local/sbin:/usr/sbin:/sbin:$PATH
     export PATH
-    slapd -f $SLAPD_CONF -h $LDAPI_ESCAPE
+# running slapd in the background means it stays in the same process group, so it can be
+# killed by timelimit
+    slapd -d0 -f $SLAPD_CONF -h $LDAPI_ESCAPE &
     PATH=$OLDPATH
     export PATH
-    return 0;
+    return $?;
 }
 
 testit() {



More information about the samba-cvs mailing list